Bug 785746 - (CVE-2012-0817) CVE-2012-0817 samba: DoS (smbd crash) due memory leak in management of fds for socket connections
CVE-2012-0817 samba: DoS (smbd crash) due memory leak in management of fds fo...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120129,repor...
: Security
Depends On: 785753
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 09:23 EST by Jan Lieskovsky
Modified: 2016-03-04 07:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 17:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-01-30 09:23:04 EST
A memory leak leading to denial of service (smbd crash) was found in the way smbd daemon of the Samba suite performed management of file descriptors related to socket connections. A remote attacker could use this flaw to cause excessive CPU use, or, potentially denial of service via loop of incoming connections.

Upstream advisory:
[1] http://www.samba.org/samba/security/CVE-2012-0817

Relevant patch:
[2] http://www.samba.org/samba/ftp/patches/security/samba-3.6.2-CVE-2012-0817.patch
Comment 1 Jan Lieskovsky 2012-01-30 09:41:05 EST
This issue did NOT affect the version of the samba package, as shipped with Red Hat Enterprise Linux 4.

This issue did NOT affect the versions of the samba and samba3x package, as shipped with Red Hat Enterprise Linux 5.

This issue did NOT affect the versions of the samba and samba4 package, as shipped with Red Hat Enterprise Linux 6.

--

This issue did NOT affect the version of the samba package, as shipped with Fedora release of 15.

This issue affects the version of the samba package, as shipped with Fedora release of 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-01-30 09:42:10 EST
Created samba tracking bugs for this issue

Affects: fedora-16 [bug 785753]
Comment 3 Jan Lieskovsky 2012-01-30 09:44:04 EST
Statement:

Not vulnerable. This issue did not affect the versions of samba as shipped with Red Hat Enterprise Linux 4, 5, and 6. This issue did not affect the version of samba3x as shipped with Red Hat Enterprise Linux 5. This issue did not affect the version of samba4 as shipped with Red Hat Enterprise Linux 6.
Comment 4 Fedora Update System 2012-02-08 17:59:33 EST
samba-3.6.3-78.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.